from engini import Engini
client = Engini() # reads ENGINI_API_KEY
connections = client.connections.list("monday")import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
const connections = await client.connections.list("monday");engini connections list --application monday --jsonconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"connectionId": 123,
"connectionName": "<string>",
"applicationSlug": "<string>",
"kind": "<string>",
"isPublic": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"applicationName": "<string>",
"applicationLogo": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123,
"offset": 123,
"top": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}List connections
Returns the connections owned by the caller’s account, honoring the optional filters and pagination. top is silently clamped to the range 1-100 (default 25) and a negative offset is treated as 0. The optional metadata filter matches on the connection’s stored metadata key/value pairs.
from engini import Engini
client = Engini() # reads ENGINI_API_KEY
connections = client.connections.list("monday")import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
const connections = await client.connections.list("monday");engini connections list --application monday --jsonconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"connectionId": 123,
"connectionName": "<string>",
"applicationSlug": "<string>",
"kind": "<string>",
"isPublic": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"applicationName": "<string>",
"applicationLogo": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123,
"offset": 123,
"top": 123
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Authorizations
Enter your JWT token
Query Parameters
Optional filter limiting results to connections of a specific application.
Optional name filter.
Zero-based index of the first item to return. Defaults to 0.
Maximum number of items to return (capped at 100). Defaults to 25.
Optional metadata key/value pairs to filter connections by.
Show child attributes
Show child attributes
Optional filter on the connection's kind: Regular, Key or MCPClient. Case-insensitive. Key is the subset the engini.io Connections page shows under its "Keys" tab. On-premise agents are not connections on this surface - use GET /v1/on-prem-agents. MCPClient connections are not served by this endpoint and return an empty page.
Response
A paginated list of connections.
Offset-based paginated wrapper for a list of items.
The items in the current page.
Show child attributes
Show child attributes
Total number of items available across all pages.
Number of items skipped before this page (the requested offset).
Maximum number of items requested for this page.